.header {
    display: flex;
    flex-flow: column wrap;
    margin-right: var(--body-margin);
    margin-bottom: clamp(6.25rem, -0.875rem + 6vw, 12.5rem);
}

@media (min-width: 2500px) {
    .header {
        display: flex;
        flex-flow: column wrap;
        height: calc(120vh - 1000px);
        margin-right: var(--body-margin);
    }
}

.header__top {
    display: flex;
    flex-flow: row wrap;
    margin-bottom: clamp(3.125rem, -0.625rem + 3vw, 6.25rem);
}

.header__text {
    width: 50%;
}

.header__text strong {
    white-space: nowrap;
}

.header__buttons {
    display: flex;
    flex-flow: column;
    align-items: flex-end;
    justify-content: space-between;
    width: 50%;
}

@media (max-width: 800px) {
    .header__top {
        margin-bottom: 0px;
    }

    .header__text {
        width: 90%;
        margin-bottom: 2.5rem;
    }

    .header__buttons {
        width: 100%;
        align-items: flex-start;
        flex-flow: row;
        margin-bottom: 3.125rem;
    }

    .button__header--round {
        position: absolute;
        right: 20px;
        top: 250px;
    }
}

@media (max-width: 320px) {
    .button__header--round {
        position: absolute;
        right: 20px;
        top: 320px;
    }

    .header__logo {
        display: none;
    }
}

.header__logo {
    width: 100%;
}

.header__text strong {
    color: var(--main-green);
}